Save Attribute

Save an attribute for a traffic type ID. The attribute is created if it does not exist, and is overwritten completely with the provided attribute object if it does. This endpoint also accepts a PUT that behaves identically to the POST, but the POST is preferred. Use the PATCH endpoint for partial updates. The attribute ID must start with a letter followed by a combination of dashes (-), underscores (_), letters (a-z A-Z), or numbers (0-9).

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Access requirements

The Authorization Bearer (Admin API Key authorizing the request) must have one of the following roles and scopes:

Admin API Key roles accepted

  • API_ALL_GRANTED
  • API_ADMIN
  • API_WORKSPACE_ADMIN

Admin API Key scopes accepted

  • GLOBAL
  • WORKSPACE

To learn more about Admin API Key roles and scopes, see API keys overview.


Path Params
string
required

The ID of the project (workspace) you want to add attributes to. After migration to Harness, get this value using the Get Projects (Workspaces) endpoint and the Harness project name.

string
required

The traffic type ID associated with the attribute

Form Data
string
Defaults to { "id": "anAttribute", "displayName": "An Attribute", "description": "my description here", "dataType": "string", "suggestedValues": [ "suggested", "values" ] }

The endpoint lists a RAW_BODY form field, which implies application/x-www-form-urlencoded content. It should instead be defined as a raw JSON body with Content-Type: application/json.

Headers
string
Defaults to Bearer ADMIN_API_KEY

Required Admin API key.

Responses

Language
LoadingLoading…
Response
Choose an example:
application/json